<!--

@license Apache-2.0

Copyright (c) 2018 The Stdlib Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

-->

# COMPLEX128_NUM_BYTES

> Size (in bytes) of a 128-bit complex number.

<section class="usage">

## Usage

```javascript
var COMPLEX128_NUM_BYTES = require( '@stdlib/constants/complex128/num-bytes' );
```

#### COMPLEX128_NUM_BYTES

Size (in bytes) of a 128-bit complex number.

```javascript
var bool = ( COMPLEX128_NUM_BYTES === 16 );
// returns true
```

</section>

<!-- /.usage -->

<section class="examples">

## Examples

<!-- TODO: better example -->

<!-- eslint no-undef: "error" -->

```javascript
var COMPLEX128_NUM_BYTES = require( '@stdlib/constants/complex128/num-bytes' );

console.log( COMPLEX128_NUM_BYTES );
// => 16
```

</section>

<!-- /.examples -->

<!-- C interface documentation. -->

* * *

<section class="c">

## C APIs

<!-- Section to include introductory text. Make sure to keep an empty line after the intro `section` element and another before the `/section` close. -->

<section class="intro">

</section>

<!-- /.intro -->

<!-- C usage documentation. -->

<section class="usage">

### Usage

```c
#include "stdlib/constants/complex128/num_bytes.h"
```

#### STDLIB_CONSTANT_COMPLEX128_NUM_BYTES

Macro for the size (in bytes) of a 128-bit complex number.

</section>

<!-- /.usage -->

<!-- C API usage notes. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="notes">

</section>

<!-- /.notes -->

<!-- C API usage examples. -->

<section class="examples">

</section>

<!-- /.examples -->

</section>

<!-- /.c -->

<!-- Section for related `stdlib` packages. Do not manually edit this section, as it is automatically populated. -->

<section class="related">

* * *

## See Also

-   <span class="package-name">[`@stdlib/constants/complex64/num-bytes`][@stdlib/constants/complex64/num-bytes]</span><span class="delimiter">: </span><span class="description">size (in bytes) of a 64-bit complex number.</span>
-   <span class="package-name">[`@stdlib/constants/float64/num-bytes`][@stdlib/constants/float64/num-bytes]</span><span class="delimiter">: </span><span class="description">size (in bytes) of a double-precision floating-point number.</span>

</section>

<!-- /.related -->

<!-- Section for all links. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="links">

<!-- <related-links> -->

[@stdlib/constants/complex64/num-bytes]: https://github.com/stdlib-js/constants/tree/main/complex64/num-bytes

[@stdlib/constants/float64/num-bytes]: https://github.com/stdlib-js/constants/tree/main/float64/num-bytes

<!-- </related-links> -->

</section>

<!-- /.links -->
