<!--

@license Apache-2.0

Copyright (c) 2021 The Stdlib Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

-->

# Constants

> Half-precision floating-point mathematical constants.

<section class="usage">

## Usage

```javascript
var constants = require( '@stdlib/constants/complex64' );
```

#### constants

Half-precision floating-point mathematical constants.

```javascript
var c = constants;
// returns {...}
```

<!-- <toc pattern="*" > -->

<div class="namespace-toc">

-   <span class="signature">[`NAN`][@stdlib/constants/complex64/nan]</span><span class="delimiter">: </span><span class="description">canonical single-precision complex floating-point `NaN`.</span>
-   <span class="signature">[`NUM_BYTES`][@stdlib/constants/complex64/num-bytes]</span><span class="delimiter">: </span><span class="description">size (in bytes) of a 64-bit complex number.</span>
-   <span class="signature">[`ZERO`][@stdlib/constants/complex64/zero]</span><span class="delimiter">: </span><span class="description">single-precision complex floating-point zero.</span>

</div>

<!-- </toc> -->

</section>

<!-- /.usage -->

<section class="examples">

## Examples

<!-- TODO: better examples -->

<!-- eslint no-undef: "error" -->

```javascript
var objectKeys = require( '@stdlib/utils/keys' );
var constants = require( '@stdlib/constants/complex64' );

console.log( objectKeys( constants ) );
```

</section>

<!-- /.examples -->

<!-- Section for related `stdlib` packages. Do not manually edit this section, as it is automatically populated. -->

<section class="related">

</section>

<!-- /.related -->

<!-- Section for all links. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="links">

<!-- <toc-links> -->

[@stdlib/constants/complex64/nan]: https://github.com/stdlib-js/constants/tree/main/complex64/nan

[@stdlib/constants/complex64/num-bytes]: https://github.com/stdlib-js/constants/tree/main/complex64/num-bytes

[@stdlib/constants/complex64/zero]: https://github.com/stdlib-js/constants/tree/main/complex64/zero

<!-- </toc-links> -->

</section>

<!-- /.links -->
