<!--

@license Apache-2.0

Copyright (c) 2018 The Stdlib Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

-->

# Number of Bytes

> Size (in bytes) of a [half-precision floating-point number][ieee754].

<section class="usage">

## Usage

```javascript
var FLOAT16_NUM_BYTES = require( '@stdlib/constants/float16/num-bytes' );
```

#### FLOAT16_NUM_BYTES

Size (in bytes) of a [half-precision floating-point number][ieee754].

```javascript
var bool = ( FLOAT16_NUM_BYTES === 2 );
// returns true
```

</section>

<!-- /.usage -->

<section class="examples">

## Examples

<!-- TODO: better example -->

<!-- eslint no-undef: "error" -->

```javascript
var FLOAT16_NUM_BYTES = require( '@stdlib/constants/float16/num-bytes' );

console.log( FLOAT16_NUM_BYTES );
// => 2
```

</section>

<!-- /.examples -->

<!-- Section for related `stdlib` packages. Do not manually edit this section, as it is automatically populated. -->

<section class="related">

* * *

## See Also

-   <span class="package-name">[`@stdlib/constants/float32/num-bytes`][@stdlib/constants/float32/num-bytes]</span><span class="delimiter">: </span><span class="description">size (in bytes) of a single-precision floating-point number.</span>
-   <span class="package-name">[`@stdlib/constants/float64/num-bytes`][@stdlib/constants/float64/num-bytes]</span><span class="delimiter">: </span><span class="description">size (in bytes) of a double-precision floating-point number.</span>

</section>

<!-- /.related -->

<!-- Section for all links. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="links">

[ieee754]: https://en.wikipedia.org/wiki/IEEE_754-1985

<!-- <related-links> -->

[@stdlib/constants/float32/num-bytes]: https://github.com/stdlib-js/constants/tree/main/float32/num-bytes

[@stdlib/constants/float64/num-bytes]: https://github.com/stdlib-js/constants/tree/main/float64/num-bytes

<!-- </related-links> -->

</section>

<!-- /.links -->
