<!--

@license Apache-2.0

Copyright (c) 2024 The Stdlib Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

-->

# FLOAT32_HALF_LN2

> One half times the [natural logarithm][@stdlib/math/base/special/ln] of `2` as a single-precision floating-point number.

<section class="usage">

## Usage

```javascript
var FLOAT32_HALF_LN2 = require( '@stdlib/constants/float32/half-ln-two' );
```

#### FLOAT32_HALF_LN2

One half times the [natural logarithm][@stdlib/math/base/special/ln] of `2` as a single-precision floating-point number.

```javascript
var bool = ( FLOAT32_HALF_LN2 === 0.3465735912322998 );
// returns true
```

</section>

<!-- /.usage -->

<section class="examples">

## Examples

<!-- TODO: better example -->

<!-- eslint no-undef: "error" -->

```javascript
var FLOAT32_HALF_LN2 = require( '@stdlib/constants/float32/half-ln-two' );

console.log( FLOAT32_HALF_LN2 );
// => 0.3465735912322998
```

</section>

<!-- /.examples -->

<!-- C interface documentation. -->

* * *

<section class="c">

## C APIs

<!-- Section to include introductory text. Make sure to keep an empty line after the intro `section` element and another before the `/section` close. -->

<section class="intro">

</section>

<!-- /.intro -->

<!-- C usage documentation. -->

<section class="usage">

### Usage

```c
#include "stdlib/constants/float32/half_ln_two.h"
```

#### STDLIB_CONSTANT_FLOAT32_HALF_LN2

Macro for one half times the [natural logarithm][@stdlib/math/base/special/ln] of `2` as a single-precision floating-point number.

</section>

<!-- /.usage -->

<!-- C API usage notes. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="notes">

</section>

<!-- /.notes -->

<!-- C API usage examples. -->

<section class="examples">

</section>

<!-- /.examples -->

</section>

<!-- /.c -->

<!-- Section for related `stdlib` packages. Do not manually edit this section, as it is automatically populated. -->

<section class="related">

</section>

<!-- /.related -->

<!-- Section for all links. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="links">

[@stdlib/math/base/special/ln]: https://www.npmjs.com/package/@stdlib/math-base-special-ln

<!-- <related-links> -->

<!-- </related-links> -->

</section>

<!-- /.links -->
