<!--

@license Apache-2.0

Copyright (c) 2024 The Stdlib Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

-->

# FLOAT32_TWO_PI

> The mathematical constant [π][@stdlib/constants/float32/pi] times 2.

<section class="usage">

## Usage

```javascript
var FLOAT32_TWO_PI = require( '@stdlib/constants/float32/two-pi' );
```

#### FLOAT32_TWO_PI

The mathematical constant [π][@stdlib/constants/float32/pi] times 2.

```javascript
var bool = ( FLOAT32_TWO_PI === 6.2831854820251465 );
// returns true
```

</section>

<!-- /.usage -->

<section class="examples">

## Examples

<!-- TODO: better example -->

<!-- eslint no-undef: "error" -->

```javascript
var FLOAT32_TWO_PI = require( '@stdlib/constants/float32/two-pi' );

console.log( FLOAT32_TWO_PI );
// => 6.2831854820251465
```

</section>

<!-- /.examples -->

<!-- C interface documentation. -->

* * *

<section class="c">

## C APIs

<!-- Section to include introductory text. Make sure to keep an empty line after the intro `section` element and another before the `/section` close. -->

<section class="intro">

</section>

<!-- /.intro -->

<!-- C usage documentation. -->

<section class="usage">

### Usage

```c
#include "stdlib/constants/float32/half_pi.h"
```

#### STDLIB_CONSTANT_FLOAT32_TWO_PI

Macro for The mathematical constant [π][@stdlib/constants/float32/pi] times 2.

</section>

<!-- /.usage -->

<!-- C API usage notes. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="notes">

</section>

<!-- /.notes -->

<!-- Section for related `stdlib` packages. Do not manually edit this section, as it is automatically populated. -->

<section class="related">

</section>

<!-- /.related -->

<!-- Section for all links. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="links">

[@stdlib/constants/float32/pi]: https://github.com/stdlib-js/constants/tree/main/float32/pi

</section>

<!-- /.links -->
