<!--

@license Apache-2.0

Copyright (c) 2018 The Stdlib Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

-->

# FOURTH_PI

> One fourth times the mathematical constant [π][pi].

<section class="usage">

## Usage

```javascript
var FOURTH_PI = require( '@stdlib/constants/float64/fourth-pi' );
```

#### FOURTH_PI

One fourth times the mathematical constant [π][pi].

```javascript
var bool = ( FOURTH_PI === 7.85398163397448309616e-1 );
// returns true
```

</section>

<!-- /.usage -->

<section class="examples">

## Examples

<!-- TODO: better example -->

<!-- eslint no-undef: "error" -->

```javascript
var FOURTH_PI = require( '@stdlib/constants/float64/fourth-pi' );

console.log( FOURTH_PI );
// => 7.85398163397448309616e-1
```

</section>

<!-- /.examples -->

<!-- C interface documentation. -->

* * *

<section class="c">

## C APIs

<!-- Section to include introductory text. Make sure to keep an empty line after the intro `section` element and another before the `/section` close. -->

<section class="intro">

</section>

<!-- /.intro -->

<!-- C usage documentation. -->

<section class="usage">

### Usage

```c
#include "stdlib/constants/float64/fourth_pi.h"
```

#### STDLIB_CONSTANT_FLOAT64_FOURTH_PI

Macro for one fourth times the mathematical constant [π][pi].

</section>

<!-- /.usage -->

<!-- C API usage notes. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="notes">

</section>

<!-- /.notes -->

<!-- C API usage examples. -->

<section class="examples">

</section>

<!-- /.examples -->

</section>

<!-- /.c -->

<!-- Section for related `stdlib` packages. Do not manually edit this section, as it is automatically populated. -->

<section class="related">

* * *

## See Also

-   <span class="package-name">[`@stdlib/constants/float64/pi`][@stdlib/constants/float64/pi]</span><span class="delimiter">: </span><span class="description">π.</span>

</section>

<!-- /.related -->

<!-- Section for all links. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="links">

[pi]: https://en.wikipedia.org/wiki/Pi

<!-- <related-links> -->

[@stdlib/constants/float64/pi]: https://github.com/stdlib-js/constants/tree/main/float64/pi

<!-- </related-links> -->

</section>

<!-- /.links -->
