<!--

@license Apache-2.0

Copyright (c) 2018 The Stdlib Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

-->

# LN2

> [Natural logarithm][@stdlib/math/base/special/ln] of `2`.

<section class="usage">

## Usage

```javascript
var LN2 = require( '@stdlib/constants/float64/ln-two' );
```

#### LN2

[Natural logarithm][@stdlib/math/base/special/ln] of `2`.

```javascript
var bool = ( LN2 === 0.6931471805599453 );
// returns true
```

</section>

<!-- /.usage -->

<section class="examples">

## Examples

<!-- TODO: better example -->

<!-- eslint no-undef: "error" -->

```javascript
var LN2 = require( '@stdlib/constants/float64/ln-two' );

console.log( LN2 );
// => 0.6931471805599453
```

</section>

<!-- /.examples -->

<!-- C interface documentation. -->

* * *

<section class="c">

## C APIs

<!-- Section to include introductory text. Make sure to keep an empty line after the intro `section` element and another before the `/section` close. -->

<section class="intro">

</section>

<!-- /.intro -->

<!-- C usage documentation. -->

<section class="usage">

### Usage

```c
#include "stdlib/constants/float64/ln_two.h"
```

#### STDLIB_CONSTANT_FLOAT64_LN2

Macro for the [natural logarithm][@stdlib/math/base/special/ln] of `2`.

</section>

<!-- /.usage -->

<!-- C API usage notes. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="notes">

</section>

<!-- /.notes -->

<!-- C API usage examples. -->

<section class="examples">

</section>

<!-- /.examples -->

</section>

<!-- /.c -->

<!-- Section for related `stdlib` packages. Do not manually edit this section, as it is automatically populated. -->

<section class="related">

* * *

## See Also

-   <span class="package-name">[`@stdlib/constants/float64/ln-ten`][@stdlib/constants/float64/ln-ten]</span><span class="delimiter">: </span><span class="description">natural logarithm of 10.</span>

</section>

<!-- /.related -->

<!-- Section for all links. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="links">

[@stdlib/math/base/special/ln]: https://www.npmjs.com/package/@stdlib/math-base-special-ln

<!-- <related-links> -->

[@stdlib/constants/float64/ln-ten]: https://github.com/stdlib-js/constants/tree/main/float64/ln-ten

<!-- </related-links> -->

</section>

<!-- /.links -->
