<!--

@license Apache-2.0

Copyright (c) 2018 The Stdlib Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

-->

# LOG10E

> Base 10 logarithm of the mathematical constant [_e_][eulers-number].

<section class="usage">

## Usage

```javascript
var LOG10E = require( '@stdlib/constants/float64/log10-e' );
```

#### LOG10E

Base 10 logarithm of the mathematical constant [_e_][eulers-number].

```javascript
var bool = ( LOG10E === 0.4342944819032518 );
// returns true
```

</section>

<!-- /.usage -->

<section class="examples">

## Examples

<!-- TODO: better example -->

<!-- eslint no-undef: "error" -->

```javascript
var LOG10E = require( '@stdlib/constants/float64/log10-e' );

console.log( LOG10E );
// => 0.4342944819032518
```

</section>

<!-- /.examples -->

<!-- C interface documentation. -->

* * *

<section class="c">

## C APIs

<!-- Section to include introductory text. Make sure to keep an empty line after the intro `section` element and another before the `/section` close. -->

<section class="intro">

</section>

<!-- /.intro -->

<!-- C usage documentation. -->

<section class="usage">

### Usage

```c
#include "stdlib/constants/float64/log10_e.h"
```

#### STDLIB_CONSTANT_FLOAT64_LOG10E

Macro for the base 10 logarithm of the mathematical constant [_e_][eulers-number].

</section>

<!-- /.usage -->

<!-- C API usage notes. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="notes">

</section>

<!-- /.notes -->

<!-- C API usage examples. -->

<section class="examples">

</section>

<!-- /.examples -->

</section>

<!-- /.c -->

<!-- Section for related `stdlib` packages. Do not manually edit this section, as it is automatically populated. -->

<section class="related">

* * *

## See Also

-   <span class="package-name">[`@stdlib/constants/float64/e`][@stdlib/constants/float64/e]</span><span class="delimiter">: </span><span class="description">euler's number.</span>
-   <span class="package-name">[`@stdlib/constants/float64/log2-e`][@stdlib/constants/float64/log2-e]</span><span class="delimiter">: </span><span class="description">base 2 logarithm of Euler's number.</span>

</section>

<!-- /.related -->

<!-- Section for all links. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="links">

[eulers-number]: https://en.wikipedia.org/wiki/E_%28mathematical_constant%29

<!-- <related-links> -->

[@stdlib/constants/float64/e]: https://github.com/stdlib-js/constants/tree/main/float64/e

[@stdlib/constants/float64/log2-e]: https://github.com/stdlib-js/constants/tree/main/float64/log2-e

<!-- </related-links> -->

</section>

<!-- /.links -->
