<!--

@license Apache-2.0

Copyright (c) 2018 The Stdlib Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

-->

# FLOAT64_MIN_LN

> [Natural logarithm][natural-logarithm] of the smallest **normalized** [double-precision floating-point number][ieee754].

<section class="usage">

## Usage

```javascript
var FLOAT64_MIN_LN = require( '@stdlib/constants/float64/min-ln' );
```

#### FLOAT64_MIN_LN

[Natural logarithm][natural-logarithm] of the smallest **normalized** [double-precision floating-point number][ieee754].

```javascript
var bool = ( FLOAT64_MIN_LN === -708.3964185322641 );
// returns true
```

</section>

<!-- /.usage -->

<section class="examples">

## Examples

<!-- TODO: better example -->

<!-- eslint no-undef: "error" -->

```javascript
var FLOAT64_MIN_LN = require( '@stdlib/constants/float64/min-ln' );

console.log( FLOAT64_MIN_LN );
// => -708.3964185322641
```

</section>

<!-- /.examples -->

<!-- C interface documentation. -->

* * *

<section class="c">

## C APIs

<!-- Section to include introductory text. Make sure to keep an empty line after the intro `section` element and another before the `/section` close. -->

<section class="intro">

</section>

<!-- /.intro -->

<!-- C usage documentation. -->

<section class="usage">

### Usage

```c
#include "stdlib/constants/float64/min_ln.h"
```

#### STDLIB_CONSTANT_FLOAT64_MIN_LN

Macro for the [natural logarithm][natural-logarithm] of the smallest **normalized** [double-precision floating-point number][ieee754].

</section>

<!-- /.usage -->

<!-- C API usage notes. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="notes">

</section>

<!-- /.notes -->

<!-- C API usage examples. -->

<section class="examples">

</section>

<!-- /.examples -->

</section>

<!-- /.c -->

<!-- Section for related `stdlib` packages. Do not manually edit this section, as it is automatically populated. -->

<section class="related">

* * *

## See Also

-   <span class="package-name">[`@stdlib/constants/float64/max-ln`][@stdlib/constants/float64/max-ln]</span><span class="delimiter">: </span><span class="description">natural logarithm of the maximum double-precision floating-point number.</span>

</section>

<!-- /.related -->

<!-- Section for all links. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="links">

[ieee754]: https://en.wikipedia.org/wiki/IEEE_754-1985

[natural-logarithm]: https://en.wikipedia.org/wiki/Natural_logarithm

<!-- <related-links> -->

[@stdlib/constants/float64/max-ln]: https://github.com/stdlib-js/constants/tree/main/float64/max-ln

<!-- </related-links> -->

</section>

<!-- /.links -->
