<!--

@license Apache-2.0

Copyright (c) 2018 The Stdlib Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

-->

# Max Int32

> Maximum [signed 32-bit integer][max-int32].

<section class="usage">

## Usage

```javascript
var INT32_MAX = require( '@stdlib/constants/int32/max' );
```

#### INT32_MAX

Maximum [signed 32-bit integer][max-int32].

```javascript
var bool = ( INT32_MAX === 2147483647 );
// returns true
```

</section>

<!-- /.usage -->

<section class="examples">

## Examples

<!-- TODO: better example -->

<!-- eslint no-undef: "error" -->

```javascript
var INT32_MAX = require( '@stdlib/constants/int32/max' );

console.log( INT32_MAX );
// => 2147483647
```

</section>

<!-- /.examples -->

<!-- C interface documentation. -->

* * *

<section class="c">

## C APIs

<!-- Section to include introductory text. Make sure to keep an empty line after the intro `section` element and another before the `/section` close. -->

<section class="intro">

</section>

<!-- /.intro -->

<!-- C usage documentation. -->

<section class="usage">

### Usage

```c
#include "stdlib/constants/int32/max.h"
```

#### STDLIB_CONSTANT_INT32_MAX

Macro for the maximum [signed 32-bit integer][max-int32].

</section>

<!-- /.usage -->

<!-- C API usage notes. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="notes">

</section>

<!-- /.notes -->

<!-- C API usage examples. -->

<section class="examples">

</section>

<!-- /.examples -->

</section>

<!-- /.c -->

<!-- Section for related `stdlib` packages. Do not manually edit this section, as it is automatically populated. -->

<section class="related">

* * *

## See Also

-   <span class="package-name">[`@stdlib/constants/int32/min`][@stdlib/constants/int32/min]</span><span class="delimiter">: </span><span class="description">minimum signed 32-bit integer.</span>

</section>

<!-- /.related -->

<!-- Section for all links. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="links">

[max-int32]: https://en.wikipedia.org/wiki/2147483647

<!-- <related-links> -->

[@stdlib/constants/int32/min]: https://github.com/stdlib-js/constants/tree/main/int32/min

<!-- </related-links> -->

</section>

<!-- /.links -->
