<!--

@license Apache-2.0

Copyright (c) 2018 The Stdlib Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

-->

# Max Int8

> Maximum signed 8-bit integer.

<section class="usage">

## Usage

```javascript
var INT8_MAX = require( '@stdlib/constants/int8/max' );
```

#### INT8_MAX

Maximum 8-bit signed integer.

```javascript
var bool = ( INT8_MAX === 127 );
// returns true
```

</section>

<!-- /.usage -->

<section class="examples">

## Examples

<!-- TODO: better example -->

<!-- eslint no-undef: "error" -->

```javascript
var INT8_MAX = require( '@stdlib/constants/int8/max' );

console.log( INT8_MAX );
// => 127
```

</section>

<!-- /.examples -->

<!-- Section for related `stdlib` packages. Do not manually edit this section, as it is automatically populated. -->

<section class="related">

* * *

## See Also

-   <span class="package-name">[`@stdlib/constants/int8/min`][@stdlib/constants/int8/min]</span><span class="delimiter">: </span><span class="description">minimum signed 8-bit integer.</span>

</section>

<!-- /.related -->

<!-- Section for all links. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="links">

<!-- <related-links> -->

[@stdlib/constants/int8/min]: https://github.com/stdlib-js/constants/tree/main/int8/min

<!-- </related-links> -->

</section>

<!-- /.links -->
