<!--

@license Apache-2.0

Copyright (c) 2018 The Stdlib Authors.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

   http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

-->

# Max Uint8

> Maximum unsigned 8-bit integer.

<section class="usage">

## Usage

```javascript
var UINT8_MAX = require( '@stdlib/constants/uint8/max' );
```

#### UINT8_MAX

Maximum unsigned 8-bit integer.

```javascript
var bool = ( UINT8_MAX === 255 );
// returns true
```

</section>

<!-- /.usage -->

<section class="examples">

## Examples

<!-- TODO: better example -->

<!-- eslint no-undef: "error" -->

```javascript
var UINT8_MAX = require( '@stdlib/constants/uint8/max' );

console.log( UINT8_MAX );
// => 255
```

</section>

<!-- /.examples -->

<!-- Section for related `stdlib` packages. Do not manually edit this section, as it is automatically populated. -->

<section class="related">

* * *

## See Also

-   <span class="package-name">[`@stdlib/constants/int8/max`][@stdlib/constants/int8/max]</span><span class="delimiter">: </span><span class="description">maximum signed 8-bit integer.</span>

</section>

<!-- /.related -->

<!-- Section for all links. Make sure to keep an empty line after the `section` element and another before the `/section` close. -->

<section class="links">

<!-- <related-links> -->

[@stdlib/constants/int8/max]: https://github.com/stdlib-js/constants/tree/main/int8/max

<!-- </related-links> -->

</section>

<!-- /.links -->
